using System;
using System.Globalization;
using System.Windows.Data;
using AxCopilot.Services;

namespace AxCopilot.Themes;

public class ClipboardThumbnailConverter : IValueConverter
{
	public object? Convert(object value, Type t, object p, CultureInfo c)
	{
		if (value is ClipboardEntry { Image: not null } clipboardEntry)
		{
			return clipboardEntry.Image;
		}
		return null;
	}

	public object ConvertBack(object v, Type t, object p, CultureInfo c)
	{
		throw new NotImplementedException();
	}
}
